# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-10-22 21:11
from __future__ import unicode_literals

import autoslug.fields
import cms.common.fields
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import filebrowser.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('meta_title_override', models.CharField(blank=True, default='', max_length=255, verbose_name='page title override')),
                ('meta_title_site_name_suffix', models.NullBooleanField(default=None, verbose_name='site name suffix in page title')),
                ('meta_description_override', models.CharField(blank=True, default='', max_length=255, verbose_name='description override')),
                ('meta_robots_override', models.CharField(blank=True, default='', max_length=255, verbose_name='robots override')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', autoslug.fields.AutoSlugField(blank=True, editable=True, populate_from='title', unique_with=('category',), verbose_name='slug')),
                ('published', models.BooleanField(default=True, verbose_name='published')),
                ('order', models.PositiveSmallIntegerField(default=0, verbose_name='order')),
                ('language', cms.common.fields.LanguageField(choices=[('any', '(any)'), ('en', 'English')], default='any', max_length=5, verbose_name='language')),
                ('thumbnail', filebrowser.fields.FileBrowseField(blank=True, help_text='Displayed in category view.', max_length=255, null=True, verbose_name='thumbnail')),
                ('intro', models.TextField(blank=True, default='', verbose_name='intro')),
                ('content', models.TextField(blank=True, default='', verbose_name='content')),
                ('show_created', models.BooleanField(default=False, verbose_name='show creation date')),
                ('show_breadcrumbs', models.BooleanField(default=True, verbose_name='show breadcrumbs')),
                ('show_back_link', models.BooleanField(default=True, verbose_name='show back link')),
                ('images_thumbnails_size', cms.common.fields.FilebrowserVersionField(blank=True, choices=[('1col', '1 column (65x37)'), ('2cols', '2 columns (160x90)'), ('3cols', '3 columns (255x143)'), ('4cols', '4 columns (350x197)'), ('5cols', '5 columns (445x250)'), ('6cols', '6 columns (540x304)'), ('7cols', '7 columns (635x357)'), ('8cols', '8 columns (730x411)'), ('9cols', '9 columns (825x464)'), ('10cols', '10 columns (920x518)'), ('11cols', '11 columns (1015x571)'), ('12cols', '12 columns (1110x624)'), ('fullhd', 'Full HD (1920x1080)')], default='3cols', max_length=255, null=True, verbose_name='images thumbnails size')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, verbose_name='creation date')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='last modification date')),
            ],
            options={
                'verbose_name_plural': 'articles',
                'verbose_name': 'article',
                'ordering': ('language', 'category', 'order', 'title'),
            },
        ),
        migrations.CreateModel(
            name='ArticleImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', filebrowser.fields.FileBrowseField(blank=True, max_length=200, null=True, verbose_name='image')),
                ('published', models.BooleanField(default=True, verbose_name='published')),
                ('order', models.PositiveSmallIntegerField(default=0, verbose_name='order')),
                ('title', models.CharField(blank=True, default='', max_length=255, verbose_name='title')),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='content.Article', verbose_name='article')),
            ],
            options={
                'verbose_name_plural': 'images',
                'verbose_name': 'image',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='ArticlesModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('published', models.BooleanField(default=True, verbose_name='published')),
                ('template_id', autoslug.fields.AutoSlugField(blank=True, editable=True, populate_from='name', unique_with=('language',), verbose_name='template id')),
                ('show_module_name', models.BooleanField(default=True, verbose_name='show module name')),
                ('module_name_header_level', models.CharField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6')], default='2', max_length=1, verbose_name='module name header level')),
                ('html_class', models.CharField(blank=True, default='', max_length=255, verbose_name='HTML class')),
                ('language', cms.common.fields.LanguageField(choices=[('any', '(any)'), ('en', 'English')], default='any', max_length=5, verbose_name='language')),
                ('articles_limit', models.SmallIntegerField(default=5, verbose_name='articles limit')),
                ('show_articles_titles', models.BooleanField(default=True, verbose_name='show articles titles')),
                ('articles_titles_headers_level', models.CharField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6')], default='3', max_length=1, verbose_name='articles titles headers level')),
                ('show_article_images', models.BooleanField(default=True, verbose_name='show article images')),
                ('articles_images_size', cms.common.fields.FilebrowserVersionField(choices=[('1col', '1 column (65x37)'), ('2cols', '2 columns (160x90)'), ('3cols', '3 columns (255x143)'), ('4cols', '4 columns (350x197)'), ('5cols', '5 columns (445x250)'), ('6cols', '6 columns (540x304)'), ('7cols', '7 columns (635x357)'), ('8cols', '8 columns (730x411)'), ('9cols', '9 columns (825x464)'), ('10cols', '10 columns (920x518)'), ('11cols', '11 columns (1015x571)'), ('12cols', '12 columns (1110x624)'), ('fullhd', 'Full HD (1920x1080)')], default='3cols', max_length=255, verbose_name='articles images size')),
                ('show_articles_intros', models.BooleanField(default=True, verbose_name='show articles intros')),
                ('show_articles_contents', models.BooleanField(default=True, verbose_name='show articles contents')),
            ],
            options={
                'verbose_name_plural': 'articles modules',
                'verbose_name': 'articles module',
                'ordering': ('language', 'name'),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ArticlesModuleArticle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveSmallIntegerField(default=0, verbose_name='order')),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='content.Article')),
                ('module', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='content.ArticlesModule')),
            ],
            options={
                'verbose_name_plural': 'articles',
                'verbose_name': 'article',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='ArticlesModuleCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveSmallIntegerField(default=0, verbose_name='order')),
            ],
            options={
                'verbose_name_plural': 'categories',
                'verbose_name': 'category',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('meta_title_override', models.CharField(blank=True, default='', max_length=255, verbose_name='page title override')),
                ('meta_title_site_name_suffix', models.NullBooleanField(default=None, verbose_name='site name suffix in page title')),
                ('meta_description_override', models.CharField(blank=True, default='', max_length=255, verbose_name='description override')),
                ('meta_robots_override', models.CharField(blank=True, default='', max_length=255, verbose_name='robots override')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('slug', autoslug.fields.AutoSlugField(blank=True, editable=True, populate_from='name', unique_with=('parent',), verbose_name='slug')),
                ('published', models.BooleanField(default=True, verbose_name='published')),
                ('order', models.PositiveSmallIntegerField(default=0, verbose_name='order')),
                ('language', cms.common.fields.LanguageField(choices=[('any', '(any)'), ('en', 'English')], default='any', max_length=5, verbose_name='language')),
                ('description', models.TextField(blank=True, default='', verbose_name='description')),
                ('show_description', models.BooleanField(default=True, verbose_name='show description')),
                ('show_article_intros', models.BooleanField(default=True, verbose_name='show article intros')),
                ('show_article_contents', models.BooleanField(default=False, verbose_name='show article contents')),
                ('show_articles_created', models.BooleanField(default=False, verbose_name='show article creation date')),
                ('show_article_images', models.BooleanField(default=True, help_text='Shows thumbnail if set, otherwise first image.', verbose_name='show article images')),
                ('articles_images_size', cms.common.fields.FilebrowserVersionField(choices=[('1col', '1 column (65x37)'), ('2cols', '2 columns (160x90)'), ('3cols', '3 columns (255x143)'), ('4cols', '4 columns (350x197)'), ('5cols', '5 columns (445x250)'), ('6cols', '6 columns (540x304)'), ('7cols', '7 columns (635x357)'), ('8cols', '8 columns (730x411)'), ('9cols', '9 columns (825x464)'), ('10cols', '10 columns (920x518)'), ('11cols', '11 columns (1015x571)'), ('12cols', '12 columns (1110x624)'), ('fullhd', 'Full HD (1920x1080)')], default='3cols', max_length=255, verbose_name='articles images size')),
                ('pagination', models.BooleanField(default=True, verbose_name='pagination')),
                ('articles_on_page', models.PositiveSmallIntegerField(default=10, verbose_name='articles on page')),
                ('show_breadcrumbs', models.BooleanField(default=True, verbose_name='show bradcrumbs')),
                ('show_back_link', models.BooleanField(default=True, verbose_name='show back link')),
                ('av_articles_images_thumbnails_size', cms.common.fields.FilebrowserVersionField(blank=True, choices=[('1col', '1 column (65x37)'), ('2cols', '2 columns (160x90)'), ('3cols', '3 columns (255x143)'), ('4cols', '4 columns (350x197)'), ('5cols', '5 columns (445x250)'), ('6cols', '6 columns (540x304)'), ('7cols', '7 columns (635x357)'), ('8cols', '8 columns (730x411)'), ('9cols', '9 columns (825x464)'), ('10cols', '10 columns (920x518)'), ('11cols', '11 columns (1015x571)'), ('12cols', '12 columns (1110x624)'), ('fullhd', 'Full HD (1920x1080)')], default='3cols', max_length=255, null=True, verbose_name='articles images size')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='_subcategories', to='content.Category', verbose_name='parent')),
            ],
            options={
                'verbose_name_plural': 'categories',
                'verbose_name': 'category',
                'ordering': ('language', 'order', 'name'),
            },
        ),
        migrations.CreateModel(
            name='ContentModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('published', models.BooleanField(default=True, verbose_name='published')),
                ('template_id', autoslug.fields.AutoSlugField(blank=True, editable=True, populate_from='name', unique_with=('language',), verbose_name='template id')),
                ('show_module_name', models.BooleanField(default=True, verbose_name='show module name')),
                ('module_name_header_level', models.CharField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6')], default='2', max_length=1, verbose_name='module name header level')),
                ('html_class', models.CharField(blank=True, default='', max_length=255, verbose_name='HTML class')),
                ('language', cms.common.fields.LanguageField(choices=[('any', '(any)'), ('en', 'English')], default='any', max_length=5, verbose_name='language')),
                ('content', models.TextField(verbose_name='content')),
            ],
            options={
                'verbose_name_plural': 'content modules',
                'verbose_name': 'content module',
                'ordering': ('language', 'name'),
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='articlesmodulecategory',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='content.Category'),
        ),
        migrations.AddField(
            model_name='articlesmodulecategory',
            name='module',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='content.ArticlesModule'),
        ),
        migrations.AddField(
            model_name='articlesmodule',
            name='articles',
            field=models.ManyToManyField(blank=True, through='content.ArticlesModuleArticle', to='content.Article'),
        ),
        migrations.AddField(
            model_name='articlesmodule',
            name='categories',
            field=models.ManyToManyField(blank=True, through='content.ArticlesModuleCategory', to='content.Category'),
        ),
        migrations.AddField(
            model_name='article',
            name='category',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='_articles', to='content.Category', verbose_name='category'),
        ),
    ]
